Mediachase eCommerce Framework 4.1 (4.1.0.19364)
 
Operational Access
Secure access to the commerce management tools
Fully integrated commerce tools for creating catalogs, managing products, taking orders, processing financial transactions, fulfilling orders, and measuring success.

 
 
 


PS: IE6.0 or higher version is required to use Commerce Management Tools.